<script lang="ts">
  import { onMount } from 'svelte';
  import Search from '~/components/Search.svelte';
  import Card from './components/Card.svelte';
  import { unverifiedCommunities, verifiedCommunities } from './components/community.js';

  let currentTab = 'verified';

  onMount(() => {
    const tabs = document.querySelectorAll('input[name="tabs"]');
    const glider = document.querySelector('.glider');

    const onChange = (tab: HTMLInputElement, index: number) => {
      glider.style.transform = `translateX(${index * 100}%)`;
      currentTab = tab.id;
    };

    tabs.forEach((tab, index) => {
      tab.addEventListener('change', onChange.bind(null, tab, index));
    });

    return () => {
      tabs.forEach((tab, index) => {
        tab.removeEventListener('change', onChange.bind(null));
      });
    };
  });
</script>

<section>
  <div><span>Community</span><Search /></div>
  <div class="tabs">
    <input
      type="radio"
      id="verified"
      name="tabs"
      checked />
    <label
      class="tab"
      for="verified">Verified</label>
    <input
      type="radio"
      id="unverified"
      name="tabs" />
    <label
      class="tab"
      for="unverified">Unverified</label>
    <span class="glider" />
  </div>
  {#if currentTab === 'verified'}
    <div class="cards verified">
      {#each verifiedCommunities as data}
        <Card {data} />
      {/each}
    </div>
  {/if}
  {#if currentTab === 'unverified'}
    <div class="cards unverified">
      {#each unverifiedCommunities as data}
        <Card {data} />
      {/each}
    </div>
  {/if}
</section>

<style lang="postcss">
  section {
    & div:first-child {
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
  }

  .control {
    display: flex;
    width: 100%;
    justify-content: space-between;
  }

  .cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    column-gap: 10px;
    row-gap: 20px;

    & :global(.card) {
      width: 48.5%;

      /* margin:2px; */

      /* height:100px; */
    }
  }

  .tabs {
    position: relative;
    display: flex;
    width: 100%;

    /* padding: 0.75rem; */
    border-radius: var(--radius-4);
    background-color: hsl(0deg 0% 100%);
    box-shadow:
      0 0 1px 0 rgb(24 94 224 / 15%),
      0 6px 12px 0 rgb(24 94 224 / 15%);
    margin-block: var(--content-margin);

    & * {
      z-index: 2;
    }

    .tab {
      display: flex;
      width: 50%;
      height: 50px;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      transition: color 0.15s ease-in;
    }

    input[type='radio'] {
      display: none;
    }

    input[type='radio']:checked + label {
      color: white;
    }

    input[type='radio']:checked + label > .notification {
      background-color: white;
      color: hsl(0deg 0% 100%);
    }

    .glider {
      position: absolute;
      z-index: 1;
      display: flex;
      width: 48%;

      /* margin: 3px; */
      height: 80%;
      align-self: center;
      border-radius: var(--radius-3);
      margin: 0 2%;
      background-color: var(--theme-color-1);
      transition: 0.25s ease-out;
    }
  }

  @media (width >= 768px) {
    .tabs {
      width: 300px;
    }

    .cards {
      justify-content: center;

      & :global(.card) {
        width: 180px;

        /* margin:2px; */

        /* height:100px; */
      }
    }
  }
</style>
